%define major	9
%define	libname	%mklibname mtp %major
%define develname %mklibname -d mtp

Name:		libmtp
Summary:	Implementation of Microsoft's Media Transfer Protocol
Version:	1.1.2
Release:	3
Group:		System/Libraries
License:	LGPLv2+
URL:		http://libmtp.sourceforge.net/
Source0:	http://nchc.dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz
Patch0:		01-devices_small_fixes.patch
BuildRequires:	libusb-devel
BuildRequires:	doxygen
#gw for aclocal:
BuildRequires:	gettext-devel
Requires:	udev
Obsoletes:	%{name}-doc < %{version}

%description
libmtp is an implementation of Microsoft's Media Transfer Protocol (MTP)
in the form of a library suitable primarily for POSIX compliant 
operating systems. We implement MTP Basic, the stuff proposed for 
standardization. MTP Enhanced is for Windows only, if we implement 
it, well that depends...

It was initially based on (forked from) the great libptp2 library 
by Mariusz Woloszyn but has since been moved over to follow Marcus 
Meissners and Hubert Figuere's libgphoto2 fork of libptp2 (or is libptp2
 a fork of libgphoto?). The core implementation is identical to 
libgphoto2, there is just a different API adapted to portable media 
players.

%package -n %{libname}
Summary:	Main library for %{name}
Group:		System/Libraries
Requires:	%{name}-utils >= %{version}-%{release}

%description -n	%{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n %{develname}
Summary:	Headers for developing programs that will use %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%mklibname -d mtp 5
Obsoletes:	%mklibname -d mtp 0

%description -n	%{develname}
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%package utils
Summary:	Tools provided by libmtp
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	mtp-utils = %{version}-%{release}

%description utils
This package contains various tools provided by libmtp.

%prep
%setup -q

%build
%configure2_5x \
	--disable-static \
	--disable-rpath

%make

%install
%makeinstall_std
find %{buildroot} -type f -name '*.la' -exec rm -f {} \;


%files -n %{libname}
%doc AUTHORS COPYING README
%{_libdir}/libmtp.so.%{major}*

%files -n %{develname}
%{_includedir}/%{name}.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/*

%files utils
/lib/udev/rules.d/*.rules
%{_bindir}/*
/lib/udev/mtp-probe


%changelog
* Mon Feb 20 2012 Götz Waschk <waschk@mandriva.org> 1.1.2-3
+ Revision: 778214
- remove bad obsoletes from library package

* Fri Jan 20 2012 Alexander Khrukin <akhrukin@mandriva.org> 1.1.2-2
+ Revision: 763346
- release bump
- la files removed
- version update 1.1.2
- removed unneeded stuff in SOURCES

* Wed Oct 26 2011 Alexander Khrukin <akhrukin@mandriva.org> 1.1.1-1
+ Revision: 707406
- upstream update version

* Tue Oct 11 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 1.1.0-1
+ Revision: 704270
- update to new version 1.1.0
- bump major to 9
- fix file list
- spec file clean

* Mon May 02 2011 Oden Eriksson <oeriksson@mandriva.com> 1.0.6-2
+ Revision: 662384
- mass rebuild

* Sat Apr 02 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.6-1
+ Revision: 649870
- update to new version 1.0.6

* Wed Jan 12 2011 Funda Wang <fwang@mandriva.org> 1.0.4-1
+ Revision: 630954
- new version 1.0.4

* Wed Dec 15 2010 Funda Wang <fwang@mandriva.org> 1.0.3-3mdv2011.0
+ Revision: 621868
- sync with fedora's udev rules

* Wed Dec 15 2010 Funda Wang <fwang@mandriva.org> 1.0.3-2mdv2011.0
+ Revision: 621867
- add debian patch to fix recognize on iPhone 3GS (mdv#61710

* Sun Jul 11 2010 Emmanuel Andry <eandry@mandriva.org> 1.0.3-1mdv2011.0
+ Revision: 550729
- New version 1.0.3

* Sat Feb 13 2010 Funda Wang <fwang@mandriva.org> 1.0.2-1mdv2010.1
+ Revision: 505246
- New version 1.0.2

* Thu Jan 21 2010 Frederic Crozat <fcrozat@mandriva.com> 1.0.1-2mdv2010.1
+ Revision: 494520
- set acl in udev rules for libmtp devices
- move udev rules to /lib

* Sun Sep 13 2009 Frederik Himpe <fhimpe@mandriva.org> 1.0.1-1mdv2010.0
+ Revision: 438981
- update to new version 1.0.1

* Wed Aug 26 2009 Götz Waschk <waschk@mandriva.org> 1.0.0-2mdv2010.0
+ Revision: 421441
- update build deps
- fix binary symlinks (bug #53177)

* Tue Aug 04 2009 Frederik Himpe <fhimpe@mandriva.org> 1.0.0-1mdv2010.0
+ Revision: 409510
- Update to new version 1.0.0
- Remove string format patch: not needed anymore
- Don't install file in /etc/security/console.perms.d: permissions should be
  set by udev

* Tue Mar 17 2009 Emmanuel Andry <eandry@mandriva.org> 0.3.7-1mdv2009.1
+ Revision: 356570
- New version 0.3.7

* Fri Feb 20 2009 Emmanuel Andry <eandry@mandriva.org> 0.3.6-3mdv2009.1
+ Revision: 343499
- bump release, package stuck in the bs
- New version 0.3.6

* Thu Jan 08 2009 Pixel <pixel@mandriva.com> 0.3.5-2mdv2009.1
+ Revision: 327067
- rebuild

* Wed Jan 07 2009 Funda Wang <fwang@mandriva.org> 0.3.5-1mdv2009.1
+ Revision: 326918
- fix str fmt
- New version 0.3.5

* Tue Dec 02 2008 Funda Wang <fwang@mandriva.org> 0.3.4-1mdv2009.1
+ Revision: 308964
- update to new version 0.3.4

* Fri Oct 10 2008 Frederik Himpe <fhimpe@mandriva.org> 0.3.3-1mdv2009.1
+ Revision: 291651
- update to new version 0.3.3

* Thu Oct 02 2008 Frederic Crozat <fcrozat@mandriva.com> 0.3.1-3mdv2009.0
+ Revision: 290760
- Add obsoletes to ease upgrade from Mdv 2008.0

* Mon Sep 08 2008 Funda Wang <fwang@mandriva.org> 0.3.1-2mdv2009.0
+ Revision: 282673
- provides mtp-utils

* Tue Sep 02 2008 Emmanuel Andry <eandry@mandriva.org> 0.3.1-1mdv2009.0
+ Revision: 278771
- New version

* Fri Jul 18 2008 Funda Wang <fwang@mandriva.org> 0.3.0-1mdv2009.0
+ Revision: 238228
- New version 0.3.0
- New major 7 -> 8

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Apr 21 2008 Funda Wang <fwang@mandriva.org> 0.2.6.1-1mdv2009.0
+ Revision: 196107
- update to new version 0.2.6.1

* Mon Jan 21 2008 Funda Wang <fwang@mandriva.org> 0.2.5-1mdv2008.1
+ Revision: 155564
- update to new version 0.2.5

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Dec 05 2007 Funda Wang <fwang@mandriva.org> 0.2.4-1mdv2008.1
+ Revision: 115549
- update to new version 0.2.4

  + Götz Waschk <waschk@mandriva.org>
    - fix dep on %%name-utils to ease upgrades on libname change

* Sat Oct 27 2007 Funda Wang <fwang@mandriva.org> 0.2.3-1mdv2008.1
+ Revision: 102616
- New version 0.2.3
- New major of libmtp ( 6->7 )

* Fri Oct 19 2007 Funda Wang <fwang@mandriva.org> 0.2.2-1mdv2008.1
+ Revision: 100226
- update to new version 0.2.2
- correct source url

* Sun Aug 26 2007 Funda Wang <fwang@mandriva.org> 0.2.1-2mdv2008.0
+ Revision: 71702
- blindly merge fedora things on hotplug stuff

* Thu Aug 16 2007 Funda Wang <fwang@mandriva.org> 0.2.1-1mdv2008.0
+ Revision: 64519
- New version 0.2.1

* Sun Aug 05 2007 Funda Wang <fwang@mandriva.org> 0.2.0-3mdv2008.0
+ Revision: 59117
- Split binary files into seperate package

* Sun Aug 05 2007 Funda Wang <fwang@mandriva.org> 0.2.0-2mdv2008.0
+ Revision: 59059
- Obsoletes old major

* Sun Aug 05 2007 Funda Wang <fwang@mandriva.org> 0.2.0-1mdv2008.0
+ Revision: 59034
- New version (new major!)

* Mon May 21 2007 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.1.5-1mdv2008.0
+ Revision: 29013
- new release: 0.1.5


* Mon Mar 19 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.1.3-4mdv2007.1
+ Revision: 146597
- split out doc

  + Emmanuel Andry <eandry@mandriva.org>
    - add patch from sourceforge for various fixes

* Tue Jan 23 2007 Emmanuel Andry <eandry@mandriva.org> 0.1.3-2mdv2007.1
+ Revision: 112565
- configure with --program-prefix=mtp- (#bug 27710)
  disable static

* Mon Jan 22 2007 Emmanuel Andry <eandry@mandriva.org> 0.1.3-1mdv2007.1
+ Revision: 111646
- New version 0.1.3

* Sun Jan 14 2007 Emmanuel Andry <eandry@mandriva.org> 0.1.2-1mdv2007.1
+ Revision: 108785
- New release 0.1.2
  New major 5

* Tue Dec 26 2006 Emmanuel Andry <eandry@mandriva.org> 0.1.0-3mdv2007.1
+ Revision: 102088
- enable hotplugging
  include documentation

* Sun Dec 10 2006 Anssi Hannula <anssi@mandriva.org> 0.1.0-2mdv2007.1
+ Revision: 94547
- fix libname

* Sat Dec 09 2006 Emmanuel Andry <eandry@mandriva.org> 0.1.0-1mdv2007.1
+ Revision: 94179
- New version 0.1.0
  new major

* Sun Dec 03 2006 Emmanuel Andry <eandry@mandriva.org> 0.0.21-2mdv2007.1
+ Revision: 90223
- buildrequires doxygen

* Sun Dec 03 2006 Emmanuel Andry <eandry@mandriva.org> 0.0.21-1mdv2007.1
+ Revision: 90152
- New version 0.0.21
- Import libmtp

* Wed Aug 30 2006 Emmanuel Andry <eandry@mandriva.org> 0.0.15-1mdv2007.0
- 0.0.15

* Thu Aug 24 2006 Emmanuel Andry <eandry@mandriva.org> 0.0.12-1mdv2007.0
- initial Mandriva release

